"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rxjs_1 = require("rxjs");
const fs_1 = require("../fs");
//import { observableFromIterable } from '../util'
/**
 * Map-based file system that holds map (URI -> content)
 */
class MapFileSystem extends fs_1.InMemoryFileSystem {
    constructor(files = new Map()) {
        super(files);
    }
    getAsyncWorkspaceFiles(base) {
        return rxjs_1.Observable.empty(); //observableFromIterable(this.files.keys()).filter(path => !base || path.startsWith(base))
    }
    getTextDocumentContent(uri) {
        const ret = this.files.get(uri);
        if (ret === undefined) {
            return rxjs_1.Observable.throw(new Error(`Attempt to read not-existent file ${uri}`));
        }
        return rxjs_1.Observable.of(ret);
    }
}
exports.MapFileSystem = MapFileSystem;
//# sourceMappingURL=fs-helpers.js.map